Subject: Re: [RFC] GIT user survey

From: Jakub Narebski <[email-masked]>
Date: Thu, 29 Jun 2006 11:49:58 +0200

Matthias Kestenholz <[email-masked]> wrote:
> Adrien Beau ([email-masked]) wrote:
>> 
>> The results of the Mercurial survey have been posted there:
>> http://www.selenic.com/mercurial/wiki/index.cgi/UserSurvey
>> 
>> An interesting read.
> 
> I find the answers to the question, what people most like to see
> improved interesting: The improvement which got mentioned most often
> was "merge across rename", something which git does already.
> 
> It seems, that partial checkouts and truncated history are the
> only things left to implement for git from this list.

I think that at least some of the infrastructure for partial checkouts
is in place due to preliminary work for subproject (gitlink or bind)
support in git: git-read-tree and git-write-tree --prefix=<prefix>/
option suppport. But I might be mistaken.

Truncating history "by hand" is possible even now, using graft file.
There is recurring talk about "shallow clones", lately about "lazy clones".
There were mentioned here also split-history idea and sparse clone idea.  

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git